> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hanko.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a WebAuthn credential of a user



## OpenAPI

````yaml openapi-admin get /users/{id}/webauthn_credentials/{credential_id}
openapi: 3.0.3
info:
  version: 1.2.0
  title: Hanko Admin API
  description: >
    ## Introduction


    This is the OpenAPI specification for the [Hanko Admin
    API](https://github.com/teamhanko/hanko/blob/main/backend/README.md#start-private-api).


    ## Authentication


    The Admin API must be protected by an access management system.


    ---
  contact:
    email: developers@hanko.io
  license:
    name: AGPL-3.0-or-later
    url: https://www.gnu.org/licenses/agpl-3.0.txt
servers:
  - url: https://{tenant_id}.hanko.io/admin
    variables:
      tenant_id:
        default: ''
        description: The (UU)ID of a tenant. Replace the default value with your tenant ID.
security: []
externalDocs:
  description: More about Hanko
  url: https://github.com/teamhanko/hanko
paths:
  /users/{id}/webauthn_credentials/{credential_id}:
    get:
      summary: Get a WebAuthn credential of a user
      operationId: get-users-webauthn_credentials-credential_id
      parameters:
        - $ref: '#/components/parameters/Id'
        - name: credential_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebAuthnCredential'
        '400':
          $ref: '#/components/responses/BadRequest'
        '404':
          $ref: '#/components/responses/NotFound'
        '500':
          $ref: '#/components/responses/InternalServerError'
      security:
        - BearerApiKeyAuth: []
components:
  parameters:
    Id:
      name: id
      in: path
      description: UUID of the requested object
      required: true
      schema:
        type: string
        format: uuid
  schemas:
    WebAuthnCredential:
      type: object
      required:
        - id
        - public_key
        - attestation_type
        - aaguid
        - created_at
        - backup_eligible
        - backup_state
        - mfa_only
      properties:
        id:
          description: The ID of the credential
          allOf:
            - $ref: '#/components/schemas/UUID4'
          example: f9bebc04-b894-4018-bdb8-8b520a532fef
        name:
          description: A name that the user choose
          type: string
        public_key:
          description: The public key of the credential
          type: string
        attestation_type:
          description: The attestation type the credential was registered with
          type: string
        aaguid:
          description: The AAGUID of the authenticator the credentials was created on
          type: string
        transports:
          description: The ways the authenticator is connected
          type: array
          items:
            type: string
        created_at:
          description: Time of creation of the credential
          type: string
          format: date-time
        last_used_at:
          description: The time when the credential was last used
          type: string
          format: date-time
        backup_eligible:
          description: Indicates if the credential can be backed up
          type: boolean
        backup_state:
          description: Indicates if the credential is backed up
          type: boolean
        mfa_only:
          description: Indicates if the credential can only be used as a MFA credential
          type: boolean
    UUID4:
      type: string
      format: uuid4
      example: c339547d-e17d-4ba7-8a1d-b3d5a4d17c1c
    Error:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
  responses:
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            code: 400
            message: Bad Request
    NotFound:
      description: Not Found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            code: 404
            message: Not found
    InternalServerError:
      description: Internal server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            code: 500
            message: Internal Server Error
  securitySchemes:
    BearerApiKeyAuth:
      description: >-
        Bearer authentication header of the form `Bearer <token>`, where
        `<token>` is your API key. Must only be used when using Hanko Cloud.
      type: http
      scheme: bearer
      bearerFormat: API Key

````